Bug 305 - (int-94193/int-98591) Incorrect http_proxy/host gconf value setting (leading http://)
(int-94193/int-98591)
: Incorrect http_proxy/host gconf value setting (leading http://)
Status: RESOLVED FIXED
Product: Connectivity
ICD
: 4.1.2 (4.2008.36-5)
: All All
: Medium normal (vote)
: 5.0-beta
Assigned To: unassigned
: icd-bugs
:
: enhancement-it2006, ITOS2007HE-garage
:
:
  Show dependency tree
 
Reported: 2005-11-28 18:42 UTC by Simon Pickering
Modified: 2009-04-28 15:34 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Simon Pickering (reporter) maemo.org 2005-11-28 18:42:32 UTC
If setting the proxy server address manually, the address cannot include a
leading http:// otherwise the news reader app and internet radio fail to acquire
the proxy server address as they send the leading http:// (and trailing / if
included) in their requests to the DNS server.

The web app is able to strip off the leading http:// (and trailing /) and
therefore works as it's able to communicate with the DNS server.

Either the apps in question ought to be altered to accept (and strip away) the
various leading and trailing combinations, or the dialog window should specify
clearly that only the address of the proxy server should be written in.

This is with version 1.2005.42-9 of the Internet Tablet software.
Comment 1 Ferenc Szekely maemo.org 2005-12-22 18:15:52 UTC
forwarding it to the connectivity guys...
Comment 2 Maemo QA (deprecated) 2006-08-03 16:56:56 UTC
Re-assign
Comment 3 Maemo QA (deprecated) 2006-08-03 17:09:41 UTC
The proxy settings page has not changed in IT 2006.
I consider this not to be a bug but an usability issue, and so it will be
handled as a feature request.
Comment 5 Quim Gil nokia 2008-11-17 08:48:56 UTC
So what is the status of this enhancement request (hitting now the Bug Jar)
with the latest software?
Comment 6 timeless 2008-11-18 03:20:43 UTC
http://mxr.maemo.org/diablo/search?string=proxy&find=rss-feed-reader.*/src/
/osso-rss-feed-reader-lib-1.5.19/src/settings.h
line 95 -- #define PROXY_HOST "/system/http_proxy/host"

looks like you'd want to look for PROXY_HOST w/ an internal mxr.

I'm fairly certain the code's still buggy, however, I believe the bug is in the
settings thing.

http://www.gnome.org/~bmsmith/gconf-docs/C/gnome-vfs.html
/schemas/system/http_proxy/host    The machine name to proxy HTTP through.

it's clearly supposed to be a machine name. 

http://mxr.maemo.org/diablo/search?string=http_proxy%2Fhost&find=\.[ch]

indicates this also affects telepathy fwiw.

this needs to be treated as a bug, we're incorrectly setting a value in gconf.
Comment 7 Quim Gil nokia 2008-12-01 10:15:18 UTC
(In reply to comment #6)
> this needs to be treated as a bug, we're incorrectly setting a value in gconf.

Be it a bug, then.
Comment 8 Andre Klapper maemo.org 2008-12-04 13:54:06 UTC
Sigh... internal copy "INVALID".
Comment 9 Andre Klapper maemo.org 2008-12-15 14:42:03 UTC
Status update: Current behaviour will not be changed for Diablo, discussing for
Fremantle.
Comment 10 timeless 2008-12-16 13:47:06 UTC
fwiw, the use of "invalid" was strange there. they meant something like "the
settings user interface control is specified not to have any intelligence, we
have no intention of changing this specification and the corresponding behavior
for diablo".

the claim is that the user entering something like http://foopy/ expects to see
the http://foopy/ that they entered. that claim is actually worth considering.
so since *this* is an open bug system, the reporter (or anyone else) here is
free to suggest a user experience:

1. user opens the settings whatever and manages to get to the proxy field
2. the user starts typing with the hardware keyboard:
3. h
4. t
5. t
6. p
7. s (optional)
8. :
9. /
10. /
11. p
12. r
13. o
14. x
15. y
16. :
17. 8
18. 0
19. 8
20. 0
21. /
22. <enter>
23. the user closes the rest of the wizard
24. the user tries to connect to the network
25. the user is connected to the network
26. the user launches browser
27. the user tries to load a page in browser
28. the user launches another application
29. the user tries to use networking in that other application
30. user performs step 1 again to check things

at what point in these ~30 steps should something happen, and what.

here are some possibilities:
A. warning is shown indicating that the field should be a host and not a url
B. the http:// and / are stripped
C. the :8080 is stripped and 8080 replaces the port field
D. the corrected value is stored to the setting (so that the user would see the
correct value upon inspecting the field)
E. an info banner is displayed (baffling the user and then hiding) indicating
the field value is invalid
F. different apps behave differently
G. user is baffled that the value they entered a while ago isn't what they now
see in settings.

here are some possible points:
3A
8A
8BD
8ABD
16A
16ABD
22A
22ABD
22BD
27BC - i believe we're approximately here today

Note that you're free to pick whatever you like, explanations as to why you've
picked it, and patches will get you much further. the internal bug report
suggests:
25BC /etc/network/if-up.d/00_proxy_set 
I'd suggest (for diablo, as a community hack)
25BCD+30G

Note that our ui designers really like E so you're free to suggest sprinkling E
all over the place. However, there's no need to suggest E, as most likely
failing to provide a suggestion, E will be specified (either 16E or 22E).

Oh. I almost forgot, please keep in mind the virtual keyboard.
there you have:
1,2,3-22,...
i.e. you can't set an action at any point between 3 and 21.

In theory you can suggest:
3H

H. disable : and / on the virtual keyboard

however, I'm not sure I've seen many people manage to use the api to do this
(from memory, it does exist).
Comment 11 Andre Klapper maemo.org 2009-01-29 16:16:22 UTC
Forwarding an internal comment:
  "UI implementation will be fixed, i.e. create a filter on these fields, which 
   allow only hostname and IP address characters to be entered. Some reference:
   http://en.wikipedia.org/wiki/Hostname#Restrictions_on_valid_host_names "

Setting Target Milestone to Fremantle.
Comment 12 Andre Klapper maemo.org 2009-03-11 22:38:54 UTC
This is fixed for Fremantle, but the fix is not yet included in Fremantle
alpha.
Comment 13 Andre Klapper maemo.org 2009-04-28 15:34:33 UTC
Setting Target Milestone to Fremantle SDK beta.